View Complete Thread | FoxWeb Forum Home
Search:
Date:    Msg ID:   
From:    Thread:   
Subject:   
This error indicates that for some reason the Distiller COM interface is not installed.  Try running the following command in a VFP session:

oPDFDistiller = CREATEOBJECT("PDFDistiller.PDFDistiller")

If you get an error, then this is the reason.  I can't tell you why the Distiller COM interface is not installed, but you could try using the command line interface, or Ghostscript, which I recommend anyway.  In my experience, Distiller does not work very well as a desktop application.

If you do want to try the command line interface for Distiller, the appropriate command is:

"C:\Program Files\Adobe\Acrobat 7.0\Distillr\AcroDist.exe" --deletelog:on --nosecurity /J "%OPTIONS%" /N /Q /o "%PDFFILE%" "%PSFILE%"

Note that this method will be fairly slow, because each time FoxWeb needs to create a PDF file, it will need to start Distiller.  The way around it is to keep Distiller running on your server.

Please note that we are unable to provide support for issues related to Acrobat, Ghostscript, or other PDF creation tools.  We can only provide support for issues related to how FoxWeb is interfacing with these products.
FoxWeb Support Team
support@foxweb.com email
Sent by Matt Jelinek on 01/02/2008 09:26:26 AM:
An error occurs when we try to set that it is as follows.

Unable to communicate with Adobe acrobat please install acrobat, or select a different ps to pdf converter.
Sent by FoxWeb Support on 12/31/2007 01:26:14 PM:
The error you getting indicates that you have not configured the PS to PDF Converter option in the PDF tab of the FoxWeb Control Center.
FoxWeb Support Team
support@foxweb.com email
Sent by Matt Jelinek on 12/31/2007 09:38:25 AM:
The server is Windows 2003. Using Acrobat 7. Adobe Distiller functions as it should, from the server I can double click a .PS file and it will convert it to a .PDF file

When I select Distiller from the dropdown for PS to PDF converter and then select apply it errors out.

When I run a script with fwPDF.PS2PDF I get the following error message:

Postscript to PDF conversion method was not specified.

This was the main reason I upgraded to 4.0